org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration

## Interface TableconfigurationFactory

    public interface TableconfigurationFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TableconfigurationPackage`
Generated:
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static TableconfigurationFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`InstantiationMethod` `createInstantiationMethod()` Returns a new object of class 'Instantiation Method'.
`TableConfiguration` `createTableConfiguration()` Returns a new object of class 'Table Configuration'.
`TableconfigurationPackage` `getTableconfigurationPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final TableconfigurationFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createTableConfiguration

    TableConfiguration createTableConfiguration()

Returns a new object of class 'Table Configuration'.

Returns:
  a new object of class 'Table Configuration'.
Generated:

#### createInstantiationMethod

    InstantiationMethod createInstantiationMethod()

Returns a new object of class 'Instantiation Method'.

Returns:
  a new object of class 'Instantiation Method'.
Generated:

#### getTableconfigurationPackage

    TableconfigurationPackage getTableconfigurationPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: